#ifndef PGLOBALC_H
#define PGLOBALC_H

#ifndef EXTERN
#define EXTERN extern
#endif

#include "genfile.h"
#include "seqfilesm.h"
#include "psolver.h"
#include "pprobdescc.h"


//**************************************
//**************************************
//  GLOBAL CONSTANTS AND VARIABLES
//**************************************
//**************************************

//  number of processors
EXTERN int Nproc;

//  rank of process
EXTERN int Myrank;

//  number of subdomain
EXTERN int Ndom;

//*****************************
//*****************************
//  CLASSES CONTAINING DATA
//*****************************
//*****************************
//  problem description
EXTERN pprobdescc *Pcp;

//  parallel solver
EXTERN psolver *Psolm,*Psolt;

#endif
