#define EXTERN

#include "pglobalc.h"
#include "seqfilesm.h"
#include "seqfilest.h"
#include "seqfilesc.h"
#include "psolverc.h"

#include "pmetrinit.h"

#include <stdio.h>
#include <string.h>
#include "mpi.h"
#include <time.h>

int main (int argc,char *argv[])
{
  time_t bt,et;
  
  bt = time (NULL);
  
  //  MPI initiation
  MPI_Init(&argc,&argv);
  MPI_Comm_rank(MPI_COMM_WORLD,&Myrank);
  MPI_Comm_size(MPI_COMM_WORLD,&Nproc);
  
  //  initiation of the code
  pmetr_init (argc,argv[1]);
  
  //  solution of the problem
  par_solve_metr_problem ();

  et = time (NULL);
  
  //fprintf (Outc,"\n\n\n Udaje o dobach vypoctu \n");
  //fprintf (Outc,"\n\n celkova doba vypoctu             %ld",et-bt);
  
  

  //fprintf (Outc,"\n");
  fprintf (stdout,"\n");  fprintf (stderr,"\n");
  //fclose (in);  
  fclose (Outc);


  MPI_Finalize ();
  
}
